# $Revision: 1.94 $, $Date: 2012/06/16 21:28:32 $
# TODO: where is "euclidian geometry tool"? Maybe drgeo-obsolotes is false
Summary:	General tool for mathematics
Summary(pl.UTF-8):	Rozbudowane narzędzie matematyczne
Name:		genius
Version:	1.0.15
Release:	1
License:	GPL v3+
Group:		Applications/Math
Source0:	http://ftp.5z.com/pub/genius/%{name}-%{version}.tar.xz
# Source0-md5:	c68a4f7a2bff6510294f8ed4ad2ab775
Patch0:		%{name}-desktop.patch
URL:		http://www.jirka.org/genius.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gettext-devel
BuildRequires:	gmp-devel
BuildRequires:	gnome-common >= 2.8.0-2
BuildRequires:	gnome-vfs2-devel
BuildRequires:	gtk+2-devel >= 2:2.12.0
BuildRequires:	gtksourceview2-devel >= 2.0.2
BuildRequires:	intltool >= 0.21
BuildRequires:	libtool
BuildRequires:	mpfr-devel >= 2.2.0
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	scrollkeeper
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	vte0-devel >= 0.8.19
BuildRequires:	xz >= 1:4.999.7
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires(post,postun):	scrollkeeper
Requires(post,postun):	shared-mime-info
Obsoletes:	drgenius
Obsoletes:	drgeo
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Genius is a general tool for mathematics, including a mathematical
programming language and evaluator, an euclidian geometry tool, a
2D/3D function grapher and a console calculator. The console
calculator handles multiple precision floating point numbers, infinite
precision integers, complex numbers and matrixes.

%description -l pl.UTF-8
Genius to narzędzie do rozwiązywania problemów matematycznych. Zawiera
ono matematyczny język programowania, narzędzie do geometrii
euklidesowej, narzędzie do generowania wykresów 2D/3D oraz konsolowy
kalkulator. Kalkulator obsługuje liczby zmiennoprzecinkowe wysokiej
precyzji, liczby całkowite, zespolone oraz macierze.

%package devel
Summary:	genius header files
Summary(pl.UTF-8):	Pliki nagłówkowe genius
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Genius header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe genius.

%prep
%setup -q
%patch0 -p1

%{__sed} -i -e 's#sr\@Latn#sr\@latin#' configure.in
%{__sed} -i 's@AM_BINRELOC@#AM_BINRELOC@' configure.in
mv po/sr\@{Latn,latin}.po

%build
rm -f acinclude.m4
%{__gnome_doc_common}
cp xmldocs.make help
%{__libtoolize}
%{__glib_gettextize}
%{__intltoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static \
	--enable-gtksourceview \
	--enable-gnome \
	--disable-update-mimedb

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# Obsoleted GNOME mime-info stuff
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/{application-registry,mime-info}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/genius/libtestplugin.{so,la}

%find_lang %{name} --with-gnome --with-omf --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%scrollkeeper_update_post
%update_desktop_database_post
%update_mime_database
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor
%scrollkeeper_update_postun
%update_desktop_database_postun
%update_mime_database

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/genius
%attr(755,root,root) %{_bindir}/gnome-genius
%dir %{_libdir}/genius
%attr(755,root,root) %{_libdir}/genius-readline-helper-fifo
%{_datadir}/genius
%{_datadir}/mime/packages/genius.xml
%{_desktopdir}/gnome-genius.desktop
%{_iconsdir}/hicolor/*/apps/*.png

%files devel
%defattr(644,root,root,755)
%{_includedir}/genius

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: genius.spec,v $
Revision 1.94  2012/06/16 21:28:32  kiesiu
- updated to 1.0.15

Revision 1.93  2012/02/02 12:40:01  lisu
- no more separated libtinfo(w)

Revision 1.92  2011/09/01 17:04:31  arekm
- release 3

Revision 1.91  2011/08/31 18:29:48  arekm
- release 2

Revision 1.90  2011/07/29 20:50:37  lisu
- updated to 1.0.14
- vte-devel -> vte0-devel

Revision 1.89  2011/02/04 18:23:45  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.88  2010/11/23 09:08:45  lisu
- up to 1.0.12
- drop obsolete -separator.patch
- use rm macro where possible

Revision 1.87  2010/09/10 06:47:00  lisu
- updated to 1.0.11
- add -separator.patch to fix Makefile.am

Revision 1.86  2010/06/15 21:12:42  pluto
- release 3 (rebuild with mpfr-3.0.x)

Revision 1.85  2010/03/29 07:08:36  arekm
- release 2

Revision 1.84  2009/12/24 10:18:11  lisu
- up to 1.0.9
- group changed to Applications/Math (there is no group such X11/Applications/Math)
- pass through adapter

Revision 1.83  2009/11/15 22:31:25  zbyniu
- BR: gettext-devel

Revision 1.82  2009/11/15 16:11:41  megabajt
- updated to 1.0.8

Revision 1.81  2009/08/04 07:14:08  lisu
- 1.0.7

Revision 1.80  2009/07/04 13:36:17  megabajt
- release 3

Revision 1.79  2009/06/03 20:33:09  megabajt
- fixed build (force make -j1)
- packaged all icons
- release 2

Revision 1.78  2009/05/01 09:51:12  uzsolt
- todo

Revision 1.77  2009/03/19 12:26:02  lisu
- 1.0.6

Revision 1.76  2009/02/23 22:05:07  arekm
- release 2

Revision 1.75  2009/02/11 09:36:13  megabajt
- updated to 1.0.5

Revision 1.74  2009/02/08 19:39:05  megabajt
- updated to 1.0.4

Revision 1.73  2008/06/10 19:55:56  lisu
- 1.0.3

Revision 1.72  2007-11-27 20:41:06  qboosh
- updated find_lang BR
- sed quotes
- cleanup

Revision 1.71  2007-11-22 17:18:03  megabajt
- fix previous commit log

Revision 1.70  2007-11-22 15:27:14  megabajt
- updated to 1.0.2
- removed obsolete link patch
- force make -j1

Revision 1.69  2007-11-19 15:42:09  megabajt
- use better way to fix locale name
- use --with-omf

Revision 1.68  2007-11-18 11:37:21  lisu
- up to 1.0.1
- don't use AM_BINRELOC macro

Revision 1.67  2007-11-04 22:53:38  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.66  2007/10/09 18:37:49  lisu
- up to 1.0.0

Revision 1.65  2007/02/13 07:16:45  glen
- tabs in preamble

Revision 1.64  2007/02/12 00:48:51  baggins
- converted to UTF-8

Revision 1.63  2007/02/07 18:54:22  megabajt
- BR: s/libmpfr-devel/mpfr-devel/
- removed obsolete GNOME mime-info stuff
- used rpm macros
- added link patch, release 2

Revision 1.62  2007/02/02 21:38:58  lisu
- 0.7.7
- %{_libdir}/genius/libtestplugin.so.* not included in this version

Revision 1.61  2007/01/14 12:23:09  qboosh
- gpm-friendly Source0 URL
- no ldconfig, include soname symlink (library outside system dirs)
- use scrollkeeper macros

Revision 1.60  2007/01/04 19:17:13  lisu
- URL fix

Revision 1.59  2007/01/04 18:18:35  lisu
- proper URL

Revision 1.58  2007/01/04 17:43:03  lisu
- 0.7.6.1
- only two patches needed: genius-termcap.patch and genius-desktop.patch
- BR libmpfr-devel version added
- cosmetics

Revision 1.57  2005/09/17 11:39:50  arekm
- new readline 5.0

Revision 1.56  2005/06/02 23:02:31  zbyniu
- popt-devel is (indirect) required by libgnome-devel not here

Revision 1.55  2005/06/01 09:47:27  zbyniu
- BR: libmpfr-devel, pkgconfig, readline-devel

Revision 1.54  2005/05/15 00:16:36  ankry
- %post shouldn't fail if no rw permission to /usr

Revision 1.53  2005/05/13 13:58:38  ankry
- rel. 3 to rebuild with new libhowl

Revision 1.52  2005/02/04 21:47:13  grzegol
- rel. 2

Revision 1.51  2005/02/04 21:36:02  grzegol
- updated to 0.7.2
- added term_mpfr_fix patch (buildfix)

Revision 1.50  2004/11/30 20:40:49  paladine
- added desktop patch
- rel 3

Revision 1.49  2004/10/07 09:08:35  ankry
- O: drgeo/drgenius, rel. 2

Revision 1.48  2004/08/20 10:51:38  aflinta
- up to version 0.7.1

Revision 1.47  2004/08/12 22:54:21  grzegol
- added gcc34 patch (fix building with gcc-3.4)

Revision 1.46  2004/08/12 16:36:40  aflinta
- up to version 0.7.0

Revision 1.45  2004/07/26 18:37:33  grzegol
- updated to 0.6.1
- run update-mime-database in %%post and %%postun

Revision 1.44  2004/04/06 12:26:31  grzegol
- updated to 0.6.0
- removed outdated intltool patch
- added locale-names patch (rename locale no -> nb)
- strict internal deps

Revision 1.43  2004/01/22 07:59:24  trojan
- added patch for build with intltool 0.29

Revision 1.42  2004/01/02 10:09:57  grzegol
- more BRs

Revision 1.41  2004/01/02 08:40:07  trojan
- updated to 0.5.7.1

Revision 1.40  2003/10/24 11:57:59  trojan
- updated to 0.5.6

Revision 1.39  2003/08/18 08:08:05  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.38  2003/08/05 11:59:01  grzegol
- rel++ to rebuild without linc
- cosmetics/sorting/simplifications/etc.

Revision 1.37  2003/06/03 17:21:09  aflinta
- version 0.5.5

Revision 1.36  2003/06/01 12:13:38  aflinta
- disabled build static files
- separated devel subpackage
- corrected attr
- release 2
- TODO: build with MPFR, check usability of *.la and *.so files in plugins

Revision 1.35  2003/05/29 07:10:00  adamg
- up to 0.5.4

Revision 1.34  2003/05/26 16:25:01  malekith
- massive attack: adding Source-md5

Revision 1.33  2003/05/25 05:47:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.32  2003/03/06 01:44:20  aflinta
- updated to version 0.5.3

Revision 1.31  2003/02/12 09:33:50  trojan
- initial (based on drgenius.spec)
